atk.Value
Prev | The atk Class Reference | Next

## atk.Value

atk.Value — the ATK interface implemented by valuators and components which display or select a value from a bounded range of values.

## Synopsis

    class atk.Value(gobject.GInterface):
        def get_current_value()
        def get_maximum_value()
        def get_minimum_value()
        def set_current_value(value)

## Description

`atk.Value` should be implemented for components which either display a value from a bounded range, or which allow the user to specify a value from a bounded range, or both. For instance, most sliders and range controls, as well as dials, should have `atk.Object` representations which implement `atk.Value` on the component's behalf. `atk.Value` objects may be read-only, in which case attempts to alter the value return `False` to indicate failure.

## Methods

### atk.Value.get_current_value

        def get_current_value()

Returns : | the current accessible value

Gets the value of this object.

### atk.Value.get_maximum_value

        def get_maximum_value()

Returns : | the maximum accessible value

Gets the maximum value of this object.

### atk.Value.get_minimum_value

        def get_minimum_value()

Returns : | the minimum accessible value

Gets the minimum value of this object.

### atk.Value.set_current_value

        def set_current_value(value)

`value` : | the desired new accessible value.
Returns : | `True` if new value is successfully set, `False` otherwise.

Sets the value of this object.

Prev | Up | Next
atk.Text | Home | atk Constants